import { getElementId, randomCode } from "../../plugins/utils";

const MODEL = {
  type: "LINES",
  x: 0,
  y: 0,
  w: 300,
  h: 100,
  sign: "",
  lineCount: 2,
  lineSpacing: 40,
  margin: 0, // 左右边距
  bold: "1px",
  color: "#000000",
  style: "solid",
};

const getModel = () => {
  return {
    id: getElementId(),
    key: randomCode(),
    ...MODEL,
  };
};

export { MODEL, getModel };
